org.jbpm.marshalling.impl

## Class JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite
  - - com.google.protobuf.AbstractMessage
    - - com.google.protobuf.GeneratedMessageV3
      - - org.jbpm.marshalling.impl.JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode

- All Implemented Interfaces:
    com.google.protobuf.Message, com.google.protobuf.MessageLite, com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder, Serializable, JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder
  Enclosing class:
    JBPMMessages.ProcessInstance.NodeInstanceContent

      public static final class JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode
      extends com.google.protobuf.GeneratedMessageV3
      implements JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder

  Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode`
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` Protobuf type `org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode`

    - ### Nested classes/interfaces inherited from class com.google.protobuf.GeneratedMessageV3

      `com.google.protobuf.GeneratedMessageV3.BuilderParent, com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage,BuilderType extends com.google.protobuf.GeneratedMessageV3.ExtendableBuilder<MessageType,BuilderType>>, com.google.protobuf.GeneratedMessageV3.ExtendableMessage<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.ExtendableMessageOrBuilder<MessageType extends com.google.protobuf.GeneratedMessageV3.ExtendableMessage>, com.google.protobuf.GeneratedMessageV3.FieldAccessorTable`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_HANDLING_PROCESS_INSTANCE_ID_FIELD_NUMBER`
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode>` | `PARSER` Deprecated.
    `static int` | `TIMER_INSTANCE_ID_FIELD_NUMBER`
    `static int` | `WORK_ITEM_ID_FIELD_NUMBER`

    - ### Fields inherited from class com.google.protobuf.GeneratedMessageV3

      `alwaysUseFieldBuilders, unknownFields`

    - ### Fields inherited from class com.google.protobuf.AbstractMessage

      `memoizedSize`

    - ### Fields inherited from class com.google.protobuf.AbstractMessageLite

      `memoizedHashCode`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getDefaultInstance()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getDefaultInstanceForType()`
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()`
    `long` | `getErrorHandlingProcessInstanceId()` `optional int64 error_handling_process_instance_id = 3;`
    `com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode>` | `getParserForType()`
    `int` | `getSerializedSize()`
    `long` | `getTimerInstanceId(int index)` `repeated int64 timer_instance_id = 2;`
    `int` | `getTimerInstanceIdCount()` `repeated int64 timer_instance_id = 2;`
    `List<Long>` | `getTimerInstanceIdList()` `repeated int64 timer_instance_id = 2;`
    `com.google.protobuf.UnknownFieldSet` | `getUnknownFields()`
    `long` | `getWorkItemId()` `optional int64 work_item_id = 1;`
    `boolean` | `hasErrorHandlingProcessInstanceId()` `optional int64 error_handling_process_instance_id = 3;`
    `int` | `hashCode()`
    `boolean` | `hasWorkItemId()` `optional int64 work_item_id = 1;`
    `protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` | `internalGetFieldAccessorTable()`
    `boolean` | `isInitialized()`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `newBuilder()`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode prototype)`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `newBuilderForType()`
    `protected JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseDelimitedFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseDelimitedFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(byte[] data)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(byte[] data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(ByteBuffer data)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(ByteBuffer data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(com.google.protobuf.ByteString data)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(com.google.protobuf.ByteString data, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(com.google.protobuf.CodedInputStream input)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(InputStream input)`
    `static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `parseFrom(InputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
    `static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode>` | `parser()`
    `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder` | `toBuilder()`
    `void` | `writeTo(com.google.protobuf.CodedOutputStream output)`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessageV3

      `canUseUnsafe, computeStringSize, computeStringSizeNoTag, getAllFields, getDescriptorForType, getField, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof, internalGetMapField, makeExtensionsImmutable, newBuilderForType, parseDelimitedWithIOException, parseDelimitedWithIOException, parseUnknownField, parseUnknownFieldProto3, parseWithIOException, parseWithIOException, parseWithIOException, parseWithIOException, serializeBooleanMapTo, serializeIntegerMapTo, serializeLongMapTo, serializeStringMapTo, writeReplace, writeString, writeStringNoTag`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage

      `findInitializationErrors, getInitializationErrorString, hashBoolean, hashEnum, hashEnumList, hashFields, hashLong, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite

      `addAll, addAll, checkByteStringIsUtf8, toByteArray, toByteString, writeDelimitedTo, writeTo`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, hasField, hasOneof`

    - ### Methods inherited from interface com.google.protobuf.MessageLite

      `toByteArray, toByteString, writeDelimitedTo, writeTo`

- - ### Field Detail

    - #### WORK_ITEM_ID_FIELD_NUMBER

          public static final int WORK_ITEM_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### TIMER_INSTANCE_ID_FIELD_NUMBER

          public static final int TIMER_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### ERROR_HANDLING_PROCESS_INSTANCE_ID_FIELD_NUMBER

          public static final int ERROR_HANDLING_PROCESS_INSTANCE_ID_FIELD_NUMBER

      See Also:
        Constant Field Values

    - #### PARSER

          @Deprecated
          public static final com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode> PARSER

      Deprecated.

  - ### Method Detail

    - #### getUnknownFields

          public final com.google.protobuf.UnknownFieldSet getUnknownFields()

      Specified by:
        `getUnknownFields` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getUnknownFields` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3`

    - #### hasWorkItemId

          public boolean hasWorkItemId()

      `optional int64 work_item_id = 1;`
      Specified by:
        `hasWorkItemId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### getWorkItemId

          public long getWorkItemId()

      `optional int64 work_item_id = 1;`
      Specified by:
        `getWorkItemId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### getTimerInstanceIdList

          public List<Long> getTimerInstanceIdList()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdList` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### getTimerInstanceIdCount

          public int getTimerInstanceIdCount()

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceIdCount` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### getTimerInstanceId

          public long getTimerInstanceId(int index)

      `repeated int64 timer_instance_id = 2;`
      Specified by:
        `getTimerInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### hasErrorHandlingProcessInstanceId

          public boolean hasErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`
      Specified by:
        `hasErrorHandlingProcessInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### getErrorHandlingProcessInstanceId

          public long getErrorHandlingProcessInstanceId()

      `optional int64 error_handling_process_instance_id = 3;`
      Specified by:
        `getErrorHandlingProcessInstanceId` in interface `JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder`

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessageV3`

    - #### writeTo

          public void writeTo(com.google.protobuf.CodedOutputStream output)
                       throws IOException

      Specified by:
        `writeTo` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `writeTo` in class `com.google.protobuf.GeneratedMessageV3`
      Throws:
        `IOException`

    - #### getSerializedSize

          public int getSerializedSize()

      Specified by:
        `getSerializedSize` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getSerializedSize` in class `com.google.protobuf.GeneratedMessageV3`

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in interface `com.google.protobuf.Message`
      Overrides:
        `equals` in class `com.google.protobuf.AbstractMessage`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in interface `com.google.protobuf.Message`
      Overrides:
        `hashCode` in class `com.google.protobuf.AbstractMessage`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(ByteBuffer data)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(ByteBuffer data,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(com.google.protobuf.ByteString data)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(com.google.protobuf.ByteString data,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(byte[] data)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(byte[] data,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws com.google.protobuf.InvalidProtocolBufferException

      Throws:
        `com.google.protobuf.InvalidProtocolBufferException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(InputStream input)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(InputStream input,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseDelimitedFrom(InputStream input)
                                                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseDelimitedFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseDelimitedFrom(InputStream input,
                                                                                                          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                                   throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(com.google.protobuf.CodedInputStream input)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### parseFrom

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode parseFrom(com.google.protobuf.CodedInputStream input,
                                                                                                 com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                                                          throws IOException

      Throws:
        `IOException`

    - #### newBuilderForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder newBuilderForType()

      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.Message`
      Specified by:
        `newBuilderForType` in interface `com.google.protobuf.MessageLite`

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder newBuilder()

    - #### newBuilder

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder newBuilder(JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode prototype)

    - #### toBuilder

          public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder toBuilder()

      Specified by:
        `toBuilder` in interface `com.google.protobuf.Message`
      Specified by:
        `toBuilder` in interface `com.google.protobuf.MessageLite`

    - #### newBuilderForType

          protected JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode.Builder newBuilderForType(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

      Specified by:
        `newBuilderForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstance

          public static JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getDefaultInstance()

    - #### parser

          public static com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode> parser()

    - #### getParserForType

          public com.google.protobuf.Parser<JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode> getParserForType()

      Specified by:
        `getParserForType` in interface `com.google.protobuf.Message`
      Specified by:
        `getParserForType` in interface `com.google.protobuf.MessageLite`
      Overrides:
        `getParserForType` in class `com.google.protobuf.GeneratedMessageV3`

    - #### getDefaultInstanceForType

          public JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.